/* 
 * NATOW - Tank to tank warfare in a 3D fully destructable world
 *
 * Copyright (C) 2000-2001
 *                     Robert Ancell  <bob27@users.sourceforge.net>
 *                     Yannick Perret <hexasoft@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* various tools */

#ifndef __tools_h_
#define __tools_h_

/* some usefull macro */
#define nMAX(a,b) ((a)>(b)?(a):(b))
#define nMIN(a,b) ((a)<(b)?(a):(b))
#define nABS(v)   ((v)<0?-(v):(v))
#define nSQR(v)   ((v)*(v))


/* free with a NULL checking */
void Nfree(void *ptr);

/* returns a random integer between a and b (included) */
int random_integer(int a, int b);

/* returns a random float between a and b (included) */
float random_float(float  a, float  b);

/* true 1 time on 2 (a 50% test) */
int random_1on2();


#endif /* __tools_h_ */
